KDOCKER(1)

NAME
 kdocker - dock any application in the system tray

SYNOPSIS
kdocker [options]

DESCRIPTION
 KDocker is a program that will dock any application to the system tray

OPTIONS

-a
     Show author information

-b
     Suppress the warning dialog when docking non-normal windows (blind mode)

-d secs
     Maximum time in seconds to allow for a command to start and open a window
     [default: 5 seconds]

-e type
     Name matching syntax. Choices are:
      n = normal, substring matching [default]
      r = regex (regular expression)
      u = unix wildcard
      w = wildcard
      x = W3C XML Schema 1.1

-f
     Dock window that has focus (active window)

-h
     Display this help, then exit

-i file
     Custom icon path

-I file
     Custom attention icon path. This icon is set if the title
     of the application window changes while it is iconified.

-j
     Case sensitive name (title) matching

-k
     Regex minimal matching

-l
     Iconify when focus lost

-m
     Keep application window showing (don't hide on dock)

-n name
     Match window based on its title

-o
     Iconify when obscured by other windows

-p secs
     By default, when the title of the application changes,
     a popup is displayed from the system tray for 4 seconds
     Works well with music players

-q
     Disable ballooning title changes (quiet)

-r
     Remove this application from the pager

-s
     Make the window sticky (appears on all desktops)

-t
     Remove this application from the taskbar

-v, --version
     Show the KDocker version string, then exit

-w wid
     Window id of the application to dock
     Assumes hex number of the form 0x###...

-x pid
     Process id of the application to dock
     Assumes decimal number of the form ###...

AUTHOR
 KDocker was written by Girish Ramakrishnan
 Revised and maintained by John Schember

REPORTING BUGS
Bugs and wishes to the KDocker Home Page <https://github.com/user-none/KDocker>